Bug 44363 - upgrade to 0.45.0 including non-blocking patch
Summary: upgrade to 0.45.0 including non-blocking patch
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nut   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-13 01:04 UTC by j. alan eldridge
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-13 02:18:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
non-blocking open() in open_serial_simple() (374 bytes, patch)
2001-06-13 01:05 UTC, j. alan eldridge
no flags Details | Diff
install conf files without .sample suffix (431 bytes, patch)
2001-06-13 01:06 UTC, j. alan eldridge
no flags Details | Diff
spec file patch to go to 0.45.0 with non-blocking fix (1.68 KB, patch)
2001-06-13 01:09 UTC, j. alan eldridge
no flags Details | Diff
spec file for nut-0.45.0-1 (6.89 KB, text/plain)
2001-06-13 01:10 UTC, j. alan eldridge
no flags Details
*CORRECTED* patch for spec file (1.93 KB, patch)
2001-06-13 01:17 UTC, j. alan eldridge
no flags Details | Diff
*CORRECTED* spec file (6.88 KB, text/plain)
2001-06-13 01:18 UTC, j. alan eldridge
no flags Details
*FINAL* spec file (sorry for the errors...) (7.06 KB, text/plain)
2001-06-13 02:18 UTC, j. alan eldridge
no flags Details

Description j. alan eldridge 2001-06-13 01:04:59 UTC
Description of Problem:

Nut has a new release. Attachments are patches, spec-file patch, and new 
spec-file.

Comment 1 j. alan eldridge 2001-06-13 01:05:44 UTC
Created attachment 20926 [details]
non-blocking open() in open_serial_simple()

Comment 2 j. alan eldridge 2001-06-13 01:06:30 UTC
Created attachment 20927 [details]
install conf files without .sample suffix

Comment 3 j. alan eldridge 2001-06-13 01:09:22 UTC
Created attachment 20928 [details]
spec file patch to go to 0.45.0 with non-blocking fix

Comment 4 j. alan eldridge 2001-06-13 01:10:04 UTC
Created attachment 20929 [details]
spec file for nut-0.45.0-1

Comment 5 j. alan eldridge 2001-06-13 01:12:32 UTC
Note that config files have changed. Upgrading to this package will break an 
existing configuration until new config files have been edited. This is 
unavoidable. Should find some way to let the user know that this is going to 
happen.



Comment 6 j. alan eldridge 2001-06-13 01:17:40 UTC
Created attachment 20930 [details]
*CORRECTED* patch for spec file

Comment 7 j. alan eldridge 2001-06-13 01:18:13 UTC
Created attachment 20931 [details]
*CORRECTED* spec file

Comment 8 j. alan eldridge 2001-06-13 02:17:47 UTC
Sorry, one more spec file. I was hasty and didn't check the installed files 
for this version thoroughly. There are new programs.

Here's the patch (I'm not going to attach it....):

---8<-snip---8<-snip---8<-snip---8<-snip---8<-snip---8<-snip---8<--- 
--- nut.spec.or Tue Jun 12 20:12:32 2001
+++ nut.spec    Tue Jun 12 22:17:12 2001
@@ -3,13 +3,16 @@
 Summary: Network UPS Tools
 Name: nut
 Version: 0.45.0
-Release: 2
+Release: 1
 Group: Applications/System
 Source: http://www.exploits.org/nut/release/%{name}-%{version}.tar.gz
 Source1: ups.init
 Source2: ups.sysconfig
 Patch0: nut-0.44.3-buildroot.patch
 Patch1: nut-0.44.1-config.patch
+Patch2: nut-0.45.0-nonblock.patch
+Patch3: nut-0.45.0-conffiles.patch
+Patch4: nut-0.45.0-clients.patch
 License: GPL
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 Requires: nut-client
@@ -47,6 +50,9 @@
 # remove chown /var/lib/state so that we don't have to build rpms as root.
 %patch0 -p1 -b .buildroot
 %patch1 -p1 -b .config
+%patch2 -p1 -b .nonblock
+%patch3 -p1 -b .conffiles
+%patch4 -p1 -b .clients
 
 %build
 %configure \
@@ -90,7 +96,7 @@
 
 %files
 %defattr(-,root,root)
-%doc COPYING CREDITS Changes QUICKSTART README docs
+%doc COPYING CREDITS CHANGES README docs
 %config(noreplace) %attr(644,root,root) %{_sysconfdir}/sysconfig/ups
 %{_bindir}/apcsmart
 %{_bindir}/belkin
@@ -111,18 +117,24 @@
 %{_bindir}/genericups
 %{_bindir}/optiups
 %{_bindir}/ups-trust425+625
+%{_bindir}/multilink
+%{_bindir}/sec
 
 %{_sbindir}/upsd
 %{_bindir}/upslog
 
+%{_mandir}/man8/*
+
 %files client
 %defattr(-,root,root)
 %attr(755,root,root) %{initdir}/ups
 %config(noreplace) %{_sysconfdir}/ups/hosts.conf
 %config(noreplace) %{_sysconfdir}/ups/multimon.conf
 %config(noreplace) %attr(600,root,root) %{_sysconfdir}/ups/upsd.conf
+%config(noreplace) %attr(600,root,root) %{_sysconfdir}/ups/upsd.users
 %config(noreplace) %attr(600,root,root) %{_sysconfdir}/ups/upsmon.conf
-%config(noreplace) %attr(600,root,root) %{_sysconfdir}/ups/upsset.passwd
+%config(noreplace) %attr(600,root,root) %{_sysconfdir}/ups/upsset.conf
+%config(noreplace) %attr(600,root,root) %{_sysconfdir}/ups/upssched.conf
 %dir %attr(755,nobody,nobody) %{_localstatedir}/lib/ups
 %{_bindir}/upsc
 %{_bindir}/upscmd
@@ -130,12 +142,19 @@
 %{_bindir}/upsct2
 %{_sbindir}/upsmon
 %{_sbindir}/upssched
+%{_sbindir}/upssched-cmd
 
 %files cgi
 %defattr(-,root,root)
 %{cgidir}/*
 
 %changelog
+* Tue Jun 12 2001 Alan Eldridge <alane@geeksrus.net>
+- version 0.45.0
+- non-blocking open in open_serial_simple()
+- install conf files w/o .simple suffix
+- install new ups drivers, man pages, sample scripts
+
 * Sun Apr 22 2001 Than Ngo <than@redhat.com>
 - add all available UPS drivers (Bug #36937)
---8<-snip---8<-snip---8<-snip---8<-snip---8<-snip---8<-snip---8<--- 


Comment 9 j. alan eldridge 2001-06-13 02:18:38 UTC
Created attachment 20942 [details]
*FINAL* spec file (sorry for the errors...)

Comment 10 Ngo Than 2001-06-13 09:27:47 UTC
nut-0.45.0-1 in rawhide includes the patch files. Thanks


Note You need to log in before you can comment on or make changes to this bug.